### Virtual Method

# Gio File find_enclosing_mount

#### Declaration

    GMount*
    find_enclosing_mount (
      GFile* file,
      GCancellable* cancellable,
      GError** error
    )

#### Description

Gets a `GMount` for the `GFile`.

`GMount` is returned only for user interesting locations, see `GVolumeMonitor`. If the `GFileIface` for `file` does not have a #mount, `error` will be set to `G_IO_ERROR_NOT_FOUND` and `NULL` #will be returned.

If `cancellable` is not `NULL`, then the operation can be cancelled by triggering the cancellable object from another thread. If the operation was cancelled, the error `G_IO_ERROR_CANCELLED` will be returned.

#### Parameters

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, `NULL` to ignore.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the virtual function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GMount`

A `GMount` where the `file` is located or `NULL` on error. Free the returned object with g_object_unref().

The caller of the function takes ownership of the data, and is responsible for freeing it.